Bug 145197 - Funny Hang - audio module doesn't like usb-storage devices!
Funny Hang - audio module doesn't like usb-storage devices!
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-01-15 00:44 EST by Parag Warudkar
Modified: 2015-01-04 17:15 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-06 18:21:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
modprobe.conf (544 bytes, text/plain)
2005-01-15 00:46 EST, Parag Warudkar
no flags Details
/proc/interrupts (655 bytes, text/plain)
2005-01-15 00:47 EST, Parag Warudkar
no flags Details
lsmod output (1.64 KB, text/plain)
2005-01-15 00:48 EST, Parag Warudkar
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 4711 None None None Never

  None (edit)
Description Parag Warudkar 2005-01-15 00:44:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
I am running FC3 on a AMD64 laptop. The laptop has 3 USB ports. If I attach any usb-storage device (Sandisk Cruiser usb drive, iPod, Maxtor external drive etc.) the kernel hangs while booting. The hang occurs when rc.sysinit loads the audio modules. The machine does not respond to anything other than the power button.

The boot goes on fine if there are no usb-storage devices attached to the system.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Attach any usb-storage device to any USB port
2. Start the laptop
3. Watch it hang completely while loading audio module. (Initializing hardware .. storage network audio_ -- here is where it hangs.)

Actual Results:  Should not have hanged while booting

Expected Results:  Machine locks up hard.

Additional info:
Comment 1 Parag Warudkar 2005-01-15 00:46:36 EST
Created attachment 109809 [details]

modprobe.conf file from affected machine
Comment 2 Parag Warudkar 2005-01-15 00:47:46 EST
Created attachment 109810 [details]
Comment 3 Parag Warudkar 2005-01-15 00:48:44 EST
Created attachment 109811 [details]
lsmod output
Comment 4 Parag Warudkar 2005-01-25 12:00:38 EST
Update : It doesn't actually hang forever - after about being stuck
for a minute or so, the boot resumes normally. When it is hung the usb
storage devices are not being accessed - the iPOD for e.g does not
show the Do not Disconnect sign when it is hung - it shows that after
the boot resumes. Might have something to do with the recent "Waiting
for device to settle" change in usb-storage? 

I think this one minute hang is still a bug.
Comment 5 Parag Warudkar 2005-01-25 12:04:14 EST
Happens on x86 kernels as well. Changing platform to X86 in a hope
that someone will now notice the bug :)
Comment 6 Dave Jones 2005-07-15 14:22:35 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 7 Parag Warudkar 2005-07-15 15:30:47 EDT
This hang is caused by load of ohci_hcd module - it hangs the machine if USB 
Storage device is attached. Hang happens in pci_enable_device(). See reference 
to Kernel bugzilla.
Comment 8 Parag Warudkar 2006-01-06 18:21:04 EST
Closing - Automagically fixed somewhere in 2.6.15-rc series. 

Note You need to log in before you can comment on or make changes to this bug.